Edit an Onsite Proxy Instance
Edit an Onsite Proxy instance.
Request URL
POST {base_url}/{api_path}/onsiteproxy/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of an Onsite Proxy instance. Note: You can query instance ID using Search Specific Onsite Proxy Instances. |
| name | No | String | The name of Onsite Proxy instance. |
| audio_rtp_passthrough | No | Integer | Whether to enable the Audio RTP Passthrough feature. When enabled, audio streams between phones registered via the same Onsite Proxy are transmitted directly (peer-to-peer), bypassing both the PBX and the Onsite Proxy. Note: If omitted or left blank, the parameter is filled with 0.Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Enable the Audio RTP Passthrough feature for an Onsite Proxy instance (ID: 68).
POST /openapi/v1.0/onsiteproxy/update?access_token=5SwyByhbSfsNlpI1v4GtHxEDmKsZwzjQ HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id": 68,
"audio_rtp_passthrough": 1
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}